Gói lãi suất margin
curl --request GET \
--url https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"name": "Standard Policy",
"status": "ACTIVE",
"pricingPolicyType": "DEFAULT",
"undueInterestType": "FIXED",
"undueFixedValue": 12.5,
"leastMassRate": 10,
"greatestMassRate": 15,
"overdueInterest": 18,
"extensionInterest": 14,
"interestCalculationBasis": 365,
"description": "Gói lãi suất tiêu chuẩn",
"labels": [
"standard",
"default"
],
"validFrom": "2024-01-01",
"validTo": "2025-12-31",
"discountable": true,
"states": [
{
"stateId": 10,
"name": "State Jan 2025",
"status": "WAIT_FOR_APPLY",
"isAppliedForExisting": true,
"undueInterestType": "LADDER",
"undueLadderValue": [
{
"id": 5,
"rate": 11,
"startDate": 1,
"dueDate": 15
}
],
"overdueInterest": 17,
"extensionInterest": 13.5,
"validFrom": "2025-02-01",
"validTo": "2025-12-31"
}
]
}
]
}Tài khoản
Gói lãi suất margin
Lấy các gói lãi suất margin khả dụng của tài khoản.
GET
/
hydros
/
v1
/
account
/
{accountNo}
/
pricing-policy
Gói lãi suất margin
curl --request GET \
--url https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/pricing-policy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"name": "Standard Policy",
"status": "ACTIVE",
"pricingPolicyType": "DEFAULT",
"undueInterestType": "FIXED",
"undueFixedValue": 12.5,
"leastMassRate": 10,
"greatestMassRate": 15,
"overdueInterest": 18,
"extensionInterest": 14,
"interestCalculationBasis": 365,
"description": "Gói lãi suất tiêu chuẩn",
"labels": [
"standard",
"default"
],
"validFrom": "2024-01-01",
"validTo": "2025-12-31",
"discountable": true,
"states": [
{
"stateId": 10,
"name": "State Jan 2025",
"status": "WAIT_FOR_APPLY",
"isAppliedForExisting": true,
"undueInterestType": "LADDER",
"undueLadderValue": [
{
"id": 5,
"rate": 11,
"startDate": 1,
"dueDate": 15
}
],
"overdueInterest": 17,
"extensionInterest": 13.5,
"validFrom": "2025-02-01",
"validTo": "2025-12-31"
}
]
}
]
}Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tham số đường dẫn
Số tiểu khoản margin.
Tham số truy vấn
Product ID. Nếu bỏ qua, hệ thống tự xác định từ tài khoản.
Phản hồi
Phản hồi thành công
Danh sách các gói lãi suất margin.
Các gói lãi suất margin khả dụng.
Show child attributes
Show child attributes